package com.example.myapplication.database.room.repository.online

import com.example.myapplication.database.room.model.item.ItemFromCart
import com.example.myapplication.database.room.model.user.User


interface UserRepository {
    suspend fun getAllUsers(): List<User>
    suspend fun getUserById(idUser: Int?): User?
    suspend fun getCartByUser(userId: Int): List<ItemFromCart>
    suspend fun insertUser(user: User)
    suspend fun updateUser(user: User)
    suspend fun deleteUser(user: User)
}